﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="ApplicationFlow\Phases\MainBootPhase.cpp" />
    <ClCompile Include="ApplicationFlow\Phases\MainBootStrapPhase.cpp" />
    <ClCompile Include="ApplicationFlow\Phases\RenderRunningPhase.cpp" />
    <ClCompile Include="ApplicationFlow\Phases\SimBootPhase.cpp" />
    <ClCompile Include="ApplicationFlow\Phases\SimBootStrapPhase.cpp" />
    <ClCompile Include="ApplicationFlow\ProcessingUnits\MainProcessingUnit.cpp" />
    <ClCompile Include="ApplicationFlow\ProcessingUnits\RenderProcessingUnit.cpp" />
    <ClCompile Include="ApplicationFlow\ProcessingUnits\SimProcessingUnit.cpp" />
    <ClCompile Include="Main.cpp" />
    <ClCompile Include="Source\LaunchUIPage.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="ApplicationFlow\Phases\MainBootPhase.h" />
    <ClInclude Include="ApplicationFlow\Phases\MainBootStrapPhase.h" />
    <ClInclude Include="ApplicationFlow\Phases\RenderRunningPhase.h" />
    <ClInclude Include="ApplicationFlow\Phases\SimBootPhase.h" />
    <ClInclude Include="ApplicationFlow\Phases\SimBootStrapPhase.h" />
    <ClInclude Include="ApplicationFlow\ProcessingUnits\MainProcessingUnit.h" />
    <ClInclude Include="ApplicationFlow\ProcessingUnits\RenderProcessingUnit.h" />
    <ClInclude Include="ApplicationFlow\ProcessingUnits\SimProcessingUnit.h" />
    <ClInclude Include="Source\LaunchUIPage.h" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{CEC960D4-B8B3-463B-9F68-716C5C3C4315}</ProjectGuid>
    <RootNamespace>Cluiche</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <IntDir>$(SolutionDir)bin\intermediate\$(TargetName)\$(Configuration)\</IntDir>
    <RunCodeAnalysis>true</RunCodeAnalysis>
    <OutDir>$(SolutionDir)bin\exe\$(Configuration)\</OutDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>false</SDLCheck>
      <AdditionalIncludeDirectories>./;./../;$(ProjectDir)../../DIA/;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>DEBUG;WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <BrowseInformation>true</BrowseInformation>
      <EnablePREfast>true</EnablePREfast>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>$(OutDir)UnitTestLevel.lib;$(OutDir)DummyLevel.lib;$(OutDir)DiaCore.lib;$(OutDir)CluicheKernel.lib;$(OutDir)DiaMaths.lib;$(OutDir)DiaGraphics.lib;$(OutDir)DiaSFML.lib;$(OutDir)DiaWindow.lib;$(OutDir)DiaInput.lib;$(OutDir)DiaApplication.lib;$(OutDir)DiaUI.lib;$(OutDir)DiaUIAwesomium.lib;awesomium.lib;sfml-main-d.lib;sfml-system-d.lib;sfml-window-d.lib;sfml-graphics-d.lib;glu32.lib;opengl32.lib;XINPUT9_1_0.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>$(SolutionDir)..\Awesomium SDK\1.7.5.1\builds\lib;$(SolutionDir)..\SFML\Build\lib\Debug;$(SolutionDir)..\Dia\DiaBin\CluicheKernel;$(SolutionDir)..\Dia\DiaBin\DiaInput;$(SolutionDir)..\SFML\lib\;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
    <PostBuildEvent>
      <Command>xcopy "$(SolutionDir)pathStoreConfig.json" "$(TargetDir)" /Y</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>